{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Lab Batch settings
{% endblock %}

{% block rightPane %}

    <div class="x_panel" xmlns="http://www.w3.org/1999/html">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                LAB Batch settings
            </h2>
            <div class="clearfix"></div>
        </div>

        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for semester in list_of_semesters %}
                        {% if forloop.counter == 1 %}
                            <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ semester.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ semester.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if selected_semester == semester.semester_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ semester.semester_instance.pk }}
                                           data-toggle="tab" name="batch_tab">
                                    {{ semester.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                <ul class="nav nav-tabs bar_tabs">
                    {% for course in list_of_practical_courses %}
                        {% if forloop.counter == 1 %}
                            <li {% if course.pk == selected_practical_course %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {% if course.code %}
                                        {{ course.code }}
                                    {% else %}
                                        {{ course.course_id }}
                                    {% endif %}
                                </a>
                            </li>
                        {% else %}
                            <li {% if course.pk == selected_practical_course %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course.pk }}
                                           data-toggle="tab" name="course_tab">
                                    {% if course.code %}
                                        {{ course.code }}
                                    {% else %}
                                        {{ course.course_id }}
                                    {% endif %}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>
                <div class="x_content">

                    <div class="row">
                        <form method="POST" class="form-horizontal" id="duration_form">
                            <div class="form-group">
                                <label class="col-md-3 col-sm-3 col-xs-12 col-md-offset-1 control-label">Split upto Roll
                                    No</label>
                                <div class="col-md-5 col-sm-6 col-xs-12">
                                    <select id="selected_roll_no" class="form-control">
                                        {% for student in list_of_students %}
                                            <option value="{{ student.registration_number }}">{{ student.registration_number }}</option>
                                        {% endfor %}
                                    </select>
                                </div>
                            </div>
                            <div class="col-md-8 col-md-offset-2">
                                <table class="table table-bordered text-center">
                                    <thead>
                                    <tr>
                                        <th>Batch Number</th>
                                        <th>Starting Roll No.</th>
                                        <th>Ending Roll No.</th>
                                        <th>Select Day</th>
                                    </tr>
                                    </thead>
                                    <tbody id="batch_body">
                                    </tbody>
                                </table>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <br>
    <br>
    <br>
    <br>


    <form id="dummy_form" method="POST">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        var curent_subject;
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="batch_tab"]').click(function () {
                //curent_subject = this.id;
                {#                alert(this.id);#}

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_semester'});
                $hiddenInput.appendTo('form');


                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('[name="course_tab"]').click(function () {
                //curent_subject = this.id;
                {#                alert(this.id)#}

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: "{{ selected_semester }}",
                    name: 'selected_batch'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'selected_practical_course'});
                $hiddenInput.appendTo('form');


                $('#dummy_form').submit();

            });
        });

        $('document').ready(function () {
            $('#selected_roll_no').change(function () {
                //curent_subject = this.id;
                //      alert(this.value);

                var studentsList = [];
                var batch_1_first, batch_1_last, batch_2_first, batch_2_last;

                {% for student in list_of_students %}
                    studentsList.push({{ student.registration_number }});
                {% endfor %}

                batch_1_first = studentsList[0];
                batch_2_last = studentsList[studentsList.length - 1];

                for (i = 0; i < studentsList.length; ++i) {
                    if (studentsList[i] == this.value) {
                        batch_1_last = studentsList[i];
                        break;
                    }
                }

                batch_2_first = studentsList[i + 1];

                //alert(batch_1_first);
                //alert(batch_1_last);
                //alert(batch_2_first);
                //alert(batch_2_last);

                var strintToAppend = '<tr>';
                strintToAppend += '<td>1st Batch</td>';
                strintToAppend += '<td>' + batch_1_first + '</td>';
                strintToAppend += '<td>' + batch_1_last + '</td>';
                strintToAppend += '<td><select id="batch_1_day" class="form-control" required="True">';
                {% for day in list_of_day_instances %}
                    strintToAppend += '<option value="{{ day.pk }}">{{ day.day_name }}</option>';
                {% endfor %}
                strintToAppend += '</select></td>';
                strintToAppend += '</tr>';

                //alert(strintToAppend);

                $('#batch_body').append(strintToAppend);

                var strintToAppend = '<tr>';
                strintToAppend += '<td>2nd Batch</td>';
                strintToAppend += '<td>' + batch_2_first + '</td>';
                strintToAppend += '<td>' + batch_2_last + '</td>';
                strintToAppend += '<td><select id="batch_2_day" class="form-control required="True">';
                {% for day in list_of_day_instances %}
                    strintToAppend += '<option value="{{ day.pk }}">{{ day.day_name }}</option>';
                {% endfor %}
                strintToAppend += '</select></td>';

                strintToAppend += '</tr>';

                //alert(strintToAppend);

                $('#batch_body').append(strintToAppend);


            });
        });
    </script>
{% endblock %}